/* 
    CMC RPC Client library
    Copyright (C) 2010 Dell, Inc

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/
#ifndef CMCRPC_C_
#define CMCRPC_C_

typedef struct cmcrpc_t cmcrpc_t;

void cmcrpc_init();
struct cmcrpc_t* cmcrpc_new(int flags, char *json);
void cmcrpc_free(cmcrpc_t *cr);
char* cmcrpc_data(cmcrpc_t *cr);
int cmcrpc_run(cmcrpc_t *cr);

#include "cmcrpc-c-ssnmgr.h"
#include "cmcrpc-c-peerd.h"

#endif
